import { useQuery } from '@tanstack/react-query';

import { UserService } from '@/client/services/UserService';

export function useUserProfile() {
  return useQuery({
    queryKey: ['user', 'profile'],
    queryFn: () => UserService.userGetProfile().then((r) => r.data),
    staleTime: 1000 * 60 * 5,
  });
}
